Minecraft Hacked Client not showing up in versions [Fix]

If you installed a hacked client or mod and it will not show up in the Minecraft launcher, hopefully the steps below will solve your problem. Let me know in the comments if it still won’t work for you so I can (hopefully) resolve the problem.

1. Your clients are stored in the %appdata%\.minecraft\versions folder.
2. To get to this folder on Windows XP/Vista/7 open the start menu, select "Run" and enter %appdata%. Navigate to .minecraft > versions to get to your clients.
3. Alternatively, to get to this folder on Windows 7, 8, or 10, open the search menu (which is part of the start menu in Windows 7) and enter %appdata% in the search bar. Click on Roaming and navigate to .minecraft > versions.
4. Make sure your client folder has a unique name (don't name it 1.7.10 or the name of another client).
5. Your client folder will contain two files, a .jar and a .json. They all need to have the same name. For example, if you are installing WeepCraft, your folder would be named WeepCraft, and it would contain WeepCraft.jar and WeepCraft.json.
6. Once you've made sure of these settings, close and re-open your Minecraft Launcher.
7. Search through your versions list in the launcher profile; it could be further down in the list than you might expect.
8. If it's still not there, go back to your versions folder. Open up the folder that contains the .jar and the .json of the client.
9. Open the .json (for example, WeepCraft.json) file with a plain-text editor. This would mean Notepad, Notepad++, Text Editor, etc. depending on your Operating System.
10. Look for a line starting with "type".
11. If it isn't "type": "release" (it could be "type": "snapshot", for example), change it to "type": "release". Make sure the quotation marks are straight; curly ones (for example, “type”: “release”) won't work.
12. Look for a line starting with "id".
13. Make sure to set it so "id": "name" where name is the same as the name of the folder and its files (for example, "id": "WeepCraft"). Check carefully for capitalization and spelling mistakes. Again, make sure the quotation marks are straight and not curly, because “id”: “WeepCraft” won't work.
14. Once you've made sure of these settings, close and re-open your Minecraft Launcher.
15. Search through your versions list in the launcher profile again, the release (for example, release WeepCraft) could be further down in the list than you might expect.
16. If these settings still don't work, note that some cracked launchers don't support modded clients. If you're not cracked, I can still help you - just leave a comment below.
17. Or, try a different hacked client (I recommend Impact) and see if it works.

Pro Tip: Use the Older Launcher

I’ve been notified recently about all of the drama surrounding the 1.12 update. It seems that in a massive effort to reduce mods and clients for Minecraft, Microsoft (who owns Mojang) has been issuing DMCA notices for custom clients as well as pushing updates to their launcher to prevent launching non-official clients. This whole tutorial and all of the clients we offer rely on the older, but still official launcher, which you can download here (requires Java).

About the author

Timtech

The site admin :)

Readers Comments (129)

  1. Umm I get stuck when I open Nodus and it says please select a version and it doesn’t give me an option.. If u can help me email Me at [edited] because I probably wont check back at these fourms again

    • Same problem here D:

    • *edit #2*

      Sorry guys, I gave the wrong advice. Even with full Internet access it seems that the version is not available. It seems that having a “launcher” was a bad idea for Nodus developers. I have other hacked clients like WeepCraft that you can check out while I try to find a fix for this.

    • AdhesiveWombat June 25, 2015 @ 8:59 PM

      I’m having the same issue, please let us know when its resolves.
      I’ve tried uninstalling and reinstalling the client and it hasnt worked

    • I am having the same issue as well. My internet is fine, but I can’t select a version. I’d it something wrong with my computer?

    • I also have this same problem. How do i get unrestricted Internet? I’d love to get this fixed.

    • I can’t find a version in the “Select a Version” once it loads 🙁 Please help and find a fix for this. Thank you 😀

    • Email me for help :D April 4, 2016 @ 6:21 AM

      I found the fix this might or not work for you….its very basic and really nooby fix but what I did was first: change the name to what the client name (example: folder: Wolfram.) and then I opened json file and just wrote something random. and pressed command Z / ctrl z to undo then I didnt save it…. and then I opened minecraft and then done xD —–Profit $$

      • Email me for help :D April 4, 2016 @ 6:22 AM

        email = VarietzHD@hotmail.com
        No spam thanks 😀

      • I think the actual fix here comes from changing the folder’s name to the client name, since that is necessary to make the client show up in versions. You shouldn’t have to do that part with the json since you didn’t save it.

        • I have made sure that all of the steps you set have been completed and I am trying to use impact but it still does show up in my versions menu any other suggestions please

    • Would very much appreciate a fix for this. Thanks in advance, Magic.
      caminsky27273@gmail.com

  2. Exception in thread “main” java.lang.UnsupportedClassVersionError: ObfUXyBn_/WpTd$$gKWuBNjY$K : Unsupported major.minor version 51.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
    at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
    I got this while trying to install. i have all the files including .jar and .json, and i have not edited any of the text

  3. I’m on a mac how do i do it

  4. When i download the hacked clients, I get the .json file and instead of a .jar, it appears with the name of the hacked client and a WinRar symbol . I follow all the steps given above, and cant find the version when I place those 2 files in the versions area in a new folder. I’ve tried allowing snapshot, nothing changes and the files type is release anyway. However, my 1.8.3 folder is displayed in the same way with no .jar file and everything works fine. Any suggestion?

    • When you download the files, they are in a .zip archive. WinRar is probably the program you have associated with the .zip, causing it to open in WinRar. Try right-clicking and navigating to “Open with” and choose the default system application for handling .zip files. Then extract and you should have the .jar and .json ready to be placed.

      • WinRar is the only program in the list for my computer to handle .zip files when I tried that. When i open the hacked clients WinRar it shows them as a .json and .jar but when i take them out it is displayed as another WinRar icon(which should be the .jar) and a notepad file which is a ,json cant figuring out what is going wrong. The ,json display with Winrar instead of .jar is how it is displayed in the 1.8.3 folder in the versions folder also.

        • Okay, what is your operating system? And the .jar showing up with a WinRar icon is okay; you don’t have to extract or edit the .jar anyway, so that doesn’t matter. It sounds like everything is fine. Where are you stuck?

      • Hey um, I have the same problem where my .jar is a Winrar file when it isn’t .jar and when I try to extract it, it says that there’s a corrupted file or something. My problem is that when I do the edit profile thing, the client that I’ve installed doesn’t appear.

  5. Similar issue to Streiks. When I look in the versions folder in .minecraft the 1.8 folder has a .json file and a WinRar archive instead of a ,jar . However, when I try take the corresponding hacked client .json and WinRar archive and put them into a new folder in versions, I can see the hacked client in the versions selection when trying to make a new profile. Even though the new folder is set up exactly like the 1.8 folder.

  6. im running windows 8.1 and minecraft 1.8 im using metro hacked client
    and this didnt fix problem

  7. mine has “type”: “release” but it still dont wrk halp?
    },
    {
    “name”: “com.paulscode:libraryjavasound:20101123”
    },
    …EDITED…
    {
    “name”: “tv.twitch:twitch:6.5”
    },
    {
    “name”: “tv.twitch:twitch-platform:6.5”,
    “rules”: [
    {
    “action”: “allow”
    },
    {
    “action”: “disallow”,
    “os”: {
    “name”: “linux”
    }
    }
    ],
    “natives”: {
    “linux”: “natives-linux”,
    “windows”: “natives-windows-${arch}”,
    “osx”: “natives-osx”
    },
    “extract”: {
    “exclude”: [
    “META-INF/”
    ]
    }
    },
    {
    “name”: “tv.twitch:twitch-external-platform:4.5”,
    “rules”: [
    {
    “action”: “allow”,
    “os”: {
    “name”: “windows”
    }
    }
    ],
    “natives”: {
    “windows”: “natives-windows-${arch}”
    },
    “extract”: {
    “exclude”: [
    “META-INF/”
    ]
    }
    }
    ],
    “mainClass”: “ObfUXyBn_.WpTd$$gKWuBNjY$K”,
    “minimumLauncherVersion”: 14,
    “assets”: “1.8”
    }

  8. I came across the same issue with both reflex and ghost on both mineshafter and the official launcher. Json files are structurally OK, but no show in the version list. Beats me.

  9. So what i did not is the following:

    I opened the original 1.8.4 Json and the Ghost Json and copied the first 5 lines from the 1.8.4 Json into the Ghost Json, then changed 1.8.4. to Ghost. Saved. Reloaded. Fixed.

    Beats me again, but fixed. 🙂

  10. I’ve done everything you’ve said to do, I’m on a Mac but from my knowledge I know that it shouldn’t make a difference unless it’s under the applications used for editing the text which I didn’t have to do either. When I go to check everything it’s fine, I’ve checked for typos and anything that may be wrong following these steps over and over and over again. Everything seems to be in order although it never will show up in the versions folder which makes no sense, I’m not sure it’s really confusing me. If it’s in the versions folder the launcher has no reason to skip it. Very confused please help!

    • Ruud Schmitz May 1, 2015 @ 5:34 AM

      what hack do you need, i will try to fix it for you. Can you put the Json in some dropbox or other public share for me ?

  11. CupcakeGirl555 May 16, 2015 @ 6:02 PM

    How do I rename the .json ?

  12. I have unarchiver so do I need WinRar for this to work?

  13. “WeepCraft”,
    “time”: “2014-04-14T15:29:23+02:00”,
    “releaseTime”: “2014-04-14T15:29:23+02:00”,
    “type”: “release”,
    “minecraftArguments”: “–username ${auth_player_name} –version ${version_name} –gameDir ${game_directory} –assetsDir ${game_assets} –uuid ${auth_uuid} –accessToken ${auth_access_token}”,
    (edited out libraries)
    “mainClass”: “net.minecraft.client.main.Main”,
    “minimumLauncherVersion”: 9
    }

  14. I’ve done everything it says, but it’s still not in the versions folder.
    I’m on a mac, and I am trying to install Nodus.
    Here’s the json code if you’re wondering:
    {
    “id”: “Nodus”,
    “time”: “2015-06-05T06:10:44-04:00”,
    “releaseTime”: “2015-06-05T06:10:44-04:00”,
    “type”: “release”,
    “minecraftArguments”: “–username ${auth_player_name} –version ${version_name} –gameDir ${game_directory} –assetsDir ${assets_root} –assetIndex ${assets_index_name} –uuid ${auth_uuid} –accessToken ${auth_access_token} –userProperties ${user_properties} –userType ${user_type}”,

    (moved to pastebin due to length)

    Help!

    • Nothing looks wrong. Maybe it’s different on a Mac, because even though it should be the same I’ve only worked with clients on Windows.

      • this is the same for me , I am on windows 8 though.I have been attempting to do this or ages and its starting to annoy me. The hacked client doesn’t show up in the versions drop down box. do I need a cracked Minecraft launcher or what? Any help will be appreciated, thanks…

  15. I have it in my versions but i cant launch minecraft

    • What do you mean? You can’t find the client in the list, or you can’t start the Minecraft Launcher at all?

      • Exception in thread “main” java.lang.UnsupportedClassVersionError: net/minecraft/client/main/Main : Unsupported major.minor version 51.0
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
        at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:247)

  16. NarwhalTheGreat June 24, 2015 @ 11:51 PM

    using Wolfram. It wont work, ive done everything, edited the JSON, checked the names, etc. etc. Nothing. Please help.

    • Try copying the first 10 or so lines of the Wolfram.json

    • TheKillBotzExploitHackerTeam October 8, 2015 @ 5:07 AM

      Is it when you launch the game or start playing it on singleplayer or multiplayer?

      If it closes when starting to play in singleplayer or multiplayer turn VBOs off. I also had the same prob but I turned it off. hope my

  17. Hey,

    I can’t select a file too but I have restricted internet. It worked all the time and now suddenly the Nodus file selection doesn’t work anymore. Can you help?

  18. Hey,

    I can’t select a file too. But I have restricted internet. The Nodus file selection worked all the time and suddenly it didn’t work anymore. Can you help?

  19. Hi i just re-installed nodus and when i launch it says “please select a verison” but there is no verisons to select i tried getting unrestricted internet aka a vpn and it didnt work 🙁 pls help!

  20. when i launch nodus it says “please select a version” but there is no verison to select before there was now there isn’t i tried getting a vpn for unrestricted internet didnt work pls help!

  21. Same problem, couldn’t find a fix anywhere. HELP!

  22. when i press play on my launcher that thing pops up and asks me to chose a version but there is no version to pick. i used nodus like 5 days ago and everything was good

  23. I am having the same “no version to select” issue. It worked fine for about a month then all of a sudden it doesn’t work. I’ve read through all your comments and troubleshooting but nothing has worked. I have tried almost everything I can think of. I’ve changed IPs, restarted router, restarted computer, downloaded nodus from multiple sites, copied clean .json and edited for nodus, tried other clients (they worked: Ghost, Weepcraft, and Metro), disabled firewall (at first I thought it had something to do with my Norton expiring. Nodus issues only came up after it expired), edited profile settings, edited minecraft settings, made new profiles, and probably a few more things I forgot about. I’m not really sure what is going on and it doesn’t seem like anyone else knows either. I just want to throw out what I’ve tried to maybe narrow the solution down (maybe). The last thing I did was run a regular minecraft version and compared the “Game Output” log between the regular version and the nodus version. This is what stood out the most: Loading libraries.
    Fri Jun 26 18:28:49 PDT 2015 ERROR:Unable to determine Slick build number
    Fri Jun 26 18:28:49 PDT 2015 INFO:LWJGL Version: 2.9.1
    Fri Jun 26 18:28:49 PDT 2015 INFO:OriginalDisplayMode: 1920 x 1080 x 32 @144Hz
    Fri Jun 26 18:28:49 PDT 2015 INFO:TargetDisplayMode: 1440 x 768 x 0 @0Hz
    Fri Jun 26 18:28:49 PDT 2015 INFO:Starting display 1440×768
    Fri Jun 26 18:28:49 PDT 2015 INFO:Use Java PNG Loader = true
    Jun 26, 2015 6:28:49 PM net.java.games.input.DefaultControllerEnvironment getControllers
    INFO: Loading: net.java.games.input.DirectAndRawInputEnvironmentPlugin
    Fri Jun 26 18:28:49 PDT 2015 INFO:Found 3 controllers
    Fri Jun 26 18:28:49 PDT 2015 INFO:0 : USB Laser Game Mouse
    Fri Jun 26 18:28:49 PDT 2015 INFO:1 : Razer BlackWidow Ultimate 2013
    Fri Jun 26 18:28:49 PDT 2015 INFO:2 : Razer BlackWidow Ultimate 2013
    java.net.MalformedURLException: no protocol: nullversion.nodus
    at java.net.URL.(URL.java:586)
    at java.net.URL.(URL.java:483)
    at java.net.URL.(URL.java:432)
    at ObfUXyBn_.BXltD_l_$_l_$c_N.readWeb(Unknown Source)
    at ObfUXyBn_.J_ww$jOGmP_Xf$hA.init(Unknown Source)
    at ObfUXyBn_.WpTd$$gKWuBNjY$K.init(Unknown Source)
    at ObfFFwKR_.SVs$_$$gBk$$diAk.setup(Unknown Source)
    at ObfFFwKR_.SVs$_$$gBk$$diAk.start(Unknown Source)
    at ObfUXyBn_.WpTd$$gKWuBNjY$K.main(Unknown Source)
    Java HotSpot(TM) 64-Bit Server VM warning: Using incremental CMS is deprecated and will likely be removed in a future release

    Not sure if that will help you or anyone else but it’s strange how all of the sudden it doesn’t work. Most of the comments describing this problem have been posted in the past 3 days. That was when I started having issues as well.

  24. Callum Shingleton-Smith June 29, 2015 @ 2:48 PM

    Okay so to clarify, I am also having an issue with being unable to select a version once on the Nodus Launcher, henceforth I installed it on two other computers of which both had the problem therefore it is not any of your computers that is the problem but the Nodus files itself: It cannot seem to locate the version however this is peculiar because we all have the correct files and such. Please add to this thread with any news updates on how to fix this vexatious problem.

  25. Maybe update your launcher!

  26. My file, when i open it, it comes up with random gibberish and looks nothing like the stuff above for example.

    Gߟ™;ö\²k4(V%XÖrK;APñ€“”Þ!¬HP±Å‚=ÖQ¬ˆe}쨉ŠbçQ@%Fãk‹Ÿ%µÍ q¼þÌÖl•bÝ’äJê*ŠE£Ðhà’«K†Y8ûP‰+­W†’^dÄÕO_ŒèXâHmcY‡ô`£ƒ}=d[9¿$ïô(Hª£&‰,J2Ç+Ñ ê=ÿºUi“ (removed the rest because it was long)

  27. it doesn’t work i try to change to noduslauncher but it doesn’t show it

  28. I’v tried everything when ever i launch nodus it goes to select version and there is no version to select. Please if your gonna reply give me an answer that will work

  29. Java HotSpot(TM) Client VM warning: Using incremental CMS is deprecated and will likely be removed in a future release

  30. i have done that all but it still don’t works. i can start the launcher, but once the laincher started there stands: please select a version, but there are no version there. i looked for more tutorials but every download and every way i can’t get the version. can you please help me

  31. {
    “id”: “WeepCraft”,
    “time”: “2014-09-02T10:24:35+02:00”,
    “releaseTime”: “2014-09-02T10:24:35+02:00”,
    “type”: “release”,
    “minecraftArguments”: “–username ${auth_player_name} –version ${version_name} –gameDir ${game_directory} –assetsDir ${assets_root} –assetIndex ${assets_index_name} –uuid ${auth_uuid} –accessToken ${auth_access_token} –userProperties ${user_properties} –userType ${user_type}”,
    “libraries”: [
    (removed …)
    ],
    “mainClass”: “net.minecraft.client.main.Main”,
    “minimumLauncherVersion”: 14,
    “assets”: “1.8”
    }

    Moved to pastebin due to length.

  32. I am also using a Windows 8 computer


  33. I am using a Windows 8 and Nodus 1.8. When I start up my Minecraft, it has some cool background stuff, and says “NODUS” “Please select a version:”, and nothing comes up. Any help?

  34. Are you having a problem using Nodus?

    Does the launcher not want to show a version?

    Are you upset?

    Well that’s where I come in! Hi, my name is Quentin, and it is my job to clarify with the world, why the Nodus launcher doesn’t want to work.
    Blame the internet!
    Literally!
    The Nodus launcher is connected to the internet. This means that whoever is capable of so, can edit or change the launcher.
    My guess, is the developers, or a secret underground anti-hacking group, have disabled the versions from being used. This is for everyone. Not just you. So until it’s fixed, just know you can’t do anything to fix it! And sit back, and relax.

  35. Somewhat same here. Exept it wont load ANY versions, i can’t even play! I’m trying to play on the awesome GarPloit 1.8, but nothing will load! HELP!

    • Ive had the same problem aswel. You might want to only turn on ‘Game Director’ in minecraft in your profile by clicking ‘edit profile’ and then save it, restart minecraft an it should be fixed. if that doesn’t work than i don’t know.

    • TheKillBotzExploitHackerTeam October 8, 2015 @ 5:11 AM

      Me too! That is why i joined this website

  36. My hacked client doesn’t work ‘anymore’. First when i installed it it worked but then my minecraft crashed after about a week and now the clients don’t show up anymore and i have tried everything to fix it but nothing works. i also tried to install a other client but it also does not show up. The hacked clients are ‘Metro5.1 + 6.1’ and ‘Reflex(4)’
    Can you pls help me

  37. Nothing will show up in my versions except weepcraft,
    id prefer to use other clients but the only one that shows up is weep craft halp

  38. Downloaded the Reflex client from a DropBox link my friend sent me. I extracted the .json and .jar files from the Reflex.zip folder and placed it into %appdata%> .minecraft > versions, but when I start up the Launcher, I can’t find the client anywhere in the versions.

    • They need to go in a folder named Reflex, which is in versions. So in your versions folder, there should be a folder called Reflex (or whatever your .jar and .json and called, which are inside this folder).

  39. When i try to open a .jar or. Json folder, it tells me ” This file does not hae a program associated with it for peforming this action. Please install a program or, if one is already installed, create an association in the Default Programs control panel.” I have no idea what this means please help!

    • You can always “Open with” the .json with Notepad (or your equivalent plaintext editor for Mac or Linux) but I recommend installing Notepad++ and then right-clicking the .json and choosing “Edit with Notepad++”.

  40. hello i have just run nodus and it syays select version but there is no versions to select

  41. I’ve tried all hacked clients but none seem to work they show up on the list but when I launch it takes me to that page with a bunch of text cause something went wrong

    • Sounds like you’re getting an error… many clients won’t work with Twitch enabled or connected, and if you paste your error message here I might be able to help you further.

  42. I’m trying to download KrOw and it won’t show up. I’ve tried your suggestion. Also my Wurst won’t show also.

  43. if i open it it says choose version and nothing happens not even versions show up

  44. Is it possible to get WeepCraft to work, even with the website down? I would REALLY enjoy playing on that client again.

  45. hi, i have installed Wurst but it does not show up in versions, i have done all that you have said to do.. but it doesn’t work

  46. It depends on the order of clients and or verisons. For example Ghost and LiquidBounce were working. They were Both the first 2 hacked clients. But I renamed Tomato to Ahh, (To make it the first hacked client) and there! I went to versions and Release Ahh was there!

  47. Ok, so I have huzuni for 1.8 and im trying to rename it to something along the lines of “Not Huzuni Hacks” you know so i can show my friend my versions folder and prove im not hacking, anywho, I did what that said above changing the “title” the “release” and the .jsn and .jar and folder name all the same but it still wont work can you help?

    • Also, If you could tell me how to put the vanilla homescreen back and not the Huzuni one thatd be great

      • I don’t think you can easily replace Huzuni’s homescreen, but I’m pretty sure I know why your Huzuni’s not showing up. You changed 3 of 4 things – the folder, the .jar, and the .json. But it sounds like you forgot to change the “id” field in the .json. Also, I’m assuming you meant “type” when you said “title”. If changing the ID field doesn’t work, let me know.

  48. Ive tried the advice and my metro client has all those things done i use mineshafter as my launcher. My friend has the same launcher as i do and it works for him but doesnt work for me please help

  49. When i download a client. the .json doesnt actually download. how do i fix that??

Leave a comment

Your email address will not be published.


*


*